<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerDataPengajuan extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('mycustom');
        $this->load->library('form_validation');
        $this->load->model('notifikasi_arisan');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi 
        $data_login       = $this->userlogin->user_login();
        $data_id_login    = $this->session->userdata('isloggedin');
        // Query SQL Data atau isi data page
        $data_pengajuan_anggota = $this->select_model->getDataPengajuanAnggota();
        // echo '<pre>';
        // var_dump($data_pengajuan_anggota);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'keloladata/pengajuan',
            'page'              => 'index',
            'judul'             => 'Pengajuan Anggota Arisan || Bagian Arisan',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            // Isi data konten
            'pengajuan_anggota' => $data_pengajuan_anggota,
            'jml_pengajuan'     => $jml_pengajuan
        );
        $this->load->view('arisan/index', $data);
    }
    function verifikasi()
    {
        if (isset($_POST['terimaAnggota'])) {
            $cek_pengajuan     = $this->db->get_where('p_arisan_pengajuan', ['id' => htmlspecialchars($this->input->post('kode_pengajuan'))])->row_array();
            $regist_arisan     = htmlspecialchars($cek_pengajuan['regist_arisan']);
            $cek_target        = $this->db->get_where('p_arisan', ['id' => $regist_arisan])->row_array();
            $cek_anggota       = count($this->select_model->getDataAnggotaArisanHebohAktif($regist_arisan));
            if ($cek_target['target_anggota'] == $cek_anggota) :
                echo 'Sudah tidak bisa tambah anggota';
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Kuota Anggota Sudah Limit!</div>');
            else :
                $no_undian         = $this->select_model->getDataNomorUndian($regist_arisan);
                $no_undian_selanjutnya = $no_undian['no_urut'] + 1;
                $total_huruf = strlen($no_undian_selanjutnya);
                if ($total_huruf == 1) :
                    $regist_undian = $regist_arisan . '00' . $no_undian_selanjutnya;
                    $no_urut = $no_undian_selanjutnya;
                elseif ($total_huruf == 2) :
                    $regist_undian = $regist_arisan . '0' . $no_undian_selanjutnya;
                    $no_urut = $no_undian_selanjutnya;
                else :
                    $regist_undian = $regist_arisan . $no_undian_selanjutnya;
                    $no_urut = $no_undian_selanjutnya;
                endif;
                $this->insert_model->terimaAnggota($cek_pengajuan, $regist_undian, $no_urut);
                $this->update_model->terimaAnggota($cek_pengajuan);
                $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Terima Anggota Arisan!</div>');
            endif;
            redirect('arisan/data/pengajuan');
        }
        if (isset($_POST['tolakAnggota'])) {
            $cek_pengajuan     = $this->db->get_where('p_arisan_pengajuan', ['id' => htmlspecialchars($this->input->post('kode_pengajuan'))])->row_array();
            $this->update_model->terimaAnggota($cek_pengajuan);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Tolak Anggota Arisan!</div>');
            redirect('arisan/data/pengajuan');
        }
    }
}

/* End of file ControllerDataPengajuan.php and path \application\controllers\arisan\keloladata\ControllerDataPengajuan.php */